<!DOCTYPE html>
<html>
<head>
	<title>NEWSLETTER - Inscription</title>
	<meta charset="utf-8"/>
		<link href="http://netdna.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.css" rel="stylesheet">
		<script src="http://netdna.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.js"></script>
	<link rel="stylesheet" href="FO_Style.css" type="text/css"/>
</head>
	<body style="text-align:center;">
		<header>
			<img src="logo.svg" style="height:90px;width:90px;"/>
			<h1>Gestion des newsletters</h1>
		</header>
		<?php
			include('pdo.php');

			if(isset($_POST['nom']) && isset($_POST['prenom']) && isset($_POST['email']) && trim($_POST['nom']) != "" && trim($_POST['prenom']) != "" && trim($_POST['email']) != "")
			{
				$nom=htmlspecialchars($_POST['nom']);
				$prenom=htmlspecialchars($_POST['prenom']);
				$email=htmlspecialchars($_POST['email']);

				$UnPDO = new PDO_Newsletter();
				$existedeja = $UnPDO->Newsletter_SelectParEmail($email);

				if($existedeja)
				{
					echo 'Cet email est déjà inscrit.';
				}
				else
				{
					$rep = $UnPDO->Newsletter_Insert($nom, $prenom, $email);
					if($rep==true)
					{
						include("mail.util.php");
						envoieMail($email, "admin@pugeat.siopergaud.fr", "Votre newsletter", "Inscription à la newsletter", "Inscription confirmée", "Bonjour,<br>Je vous confirme que votre inscription à la newsletter s'est réalisée avec succès.<br>Vous pouvez vous <a href=\"http://172.16.1.19/pugeat/20180227-SeancePHPObject/Miniprojet/FO_DesinscriptionNewsletter.php\">désinscrire</a> à tout moment.");
						echo 'Inscription réalisée avec succès. Un email de confirmation vous a été envoyé.';
					}
					else
					{
						echo 'Erreur, veuillez réessayer.';
					}
				}
			}
			else
			{
				echo 'Veuillez remplir tous les champs.';
			}
		?>
		<a href="FO_Menu.php"><input type="button" class="btn" name="retour" value="Retour au menu"/></a>
	</body>
</html>
