<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T" crossorigin="anonymous"></script>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="BO_Menu.php"><img src="logo.svg" style="height:30px;width:30px;vertical-align:middle;padding-right:5px;"/>Gestion des newsletters</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="BO_Menu.php">Accueil</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="BO_ListeInscritNewsletter.php">Liste des inscrits</a>
      </li>
			<li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown1" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Messages
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown1">
          <a class="dropdown-item" href="BO_ListeMessageNewsletter.php">Liste</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="BO_EnvoiNewsletter.php">Nouveau</a>
        </div>
      </li>

			<?php
				if(isset($_SESSION['role']) && $_SESSION['role'] == "admin")
				{
			?>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown2" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Utilisateurs
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown2">
          <a class="dropdown-item" href="BO_GestionUtilisateurs.php">Menu de gestion des utilisateurs</a>
					<div class="dropdown-divider"></div>
          <a class="dropdown-item" href="BO_CreationUtilisateur.php">Nouvel utilisateur</a>
					<a class="dropdown-item" href="BO_ListeUtilisateurs.php">Liste des utilisateurs</a>
					<a class="dropdown-item" href="BO_SupprimerUtilisateur.php">Supprimer un utilisateur</a>
					<a class="dropdown-item" href="BO_ReinitMotDePasseUtilisateur.php">Réinitialiser un mot de passe</a>
					<a class="dropdown-item" href="#">Changer un rôle</a>
        </div>
      </li>
			<?php }	?>
    </ul>
			<span style="margin-right:10px;">
				<?php
					if(isset($_SESSION['pseudo']))
					{
				if($_SESSION['role']=="admin")
				{
					echo '<img src="star.svg" style="height:25px;width:25px;" title="Administrateur"/> ';
				}
				else {
					echo '<img src="keyboard.svg" style="height:25px;width:25px;" title="Rédacteur"/> ';
				}?>
				<?php echo $_SESSION['pseudo'];}?>
			</span>
      <a href="BO_ModifInfosPersonnelles.php"><button class="btn btn-outline-secondary my-2 my-sm-0" type="submit" style="margin-right:5px;">Mon compte</button></a>
			<a href="BO_Deconnexion.php"><button class="btn btn-outline-danger my-2 my-sm-0" type="submit">Déconnexion</button></a>
  </div>
</nav>
